shithub: libvpx

Download patch

ref: 7da552c28324773b1d8afe12a519b9fcd6dc270f
parent: addf897710b9ad756988215efa1b19a53a697146
author: Tom Finegan <tomfinegan@google.com>
date: Wed Apr 23 13:18:56 EDT 2014

Move shared test variables to tools_common.sh.

The global variables used in vpxdec.sh and vpxenc.sh have become useful
elsewhere: Define them in tools_common.sh instead.

Change-Id: I5b8dbd2e88c8d6b2f46c5c55d7711fa154c12b6a

--- a/test/tools_common.sh
+++ b/test/tools_common.sh
@@ -416,6 +416,17 @@
   VPX_TEST_EXE_SUFFIX=".exe"
 fi
 
+# Variables shared by tests.
+VP8_IVF_FILE="${LIBVPX_TEST_DATA_PATH}/vp80-00-comprehensive-001.ivf"
+VP9_IVF_FILE="${LIBVPX_TEST_DATA_PATH}/vp90-2-09-subpixel-00.ivf"
+
+VP9_WEBM_FILE="${LIBVPX_TEST_DATA_PATH}/vp90-2-00-quantizer-00.webm"
+
+YUV_RAW_INPUT="${LIBVPX_TEST_DATA_PATH}/hantro_collage_w352h288.yuv"
+YUV_RAW_INPUT_WIDTH=352
+YUV_RAW_INPUT_HEIGHT=288
+
+# Setup a trap function to clean up after tests complete.
 trap cleanup EXIT
 
 if [ "${VPX_TEST_VERBOSE_OUTPUT}" = "yes" ]; then
--- a/test/vpxdec.sh
+++ b/test/vpxdec.sh
@@ -14,9 +14,6 @@
 ##
 . $(dirname $0)/tools_common.sh
 
-VP8_IVF_FILE="${LIBVPX_TEST_DATA_PATH}/vp80-00-comprehensive-001.ivf"
-VP9_WEBM_FILE="${LIBVPX_TEST_DATA_PATH}/vp90-2-00-quantizer-00.webm"
-
 # Environment check: Make sure input is available.
 vpxdec_verify_environment() {
   if [ ! -e "${VP8_IVF_FILE}" ] || [ ! -e "${VP9_WEBM_FILE}" ]; then
--- a/test/vpxenc.sh
+++ b/test/vpxenc.sh
@@ -15,9 +15,6 @@
 ##
 . $(dirname $0)/tools_common.sh
 
-YUV_RAW_INPUT="${LIBVPX_TEST_DATA_PATH}/hantro_collage_w352h288.yuv"
-YUV_RAW_INPUT_WIDTH=352
-YUV_RAW_INPUT_HEIGHT=288
 TEST_FRAMES=10
 
 # Environment check: Make sure input is available.